<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-setting-heading" data-cy="SettingCreateUpdateHeading" jhiTranslate="jokegeneratorApp.setting.home.createOrEditLabel">
        Create or edit a Setting
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="row mb-3" [hidden]="editForm.get('id')!.value == null">
          <label class="form-label" jhiTranslate="global.field.id" for="field_id">ID</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="jokegeneratorApp.setting.restaurant" for="field_restaurant">Restaurant</label>
          <select class="form-control" id="field_restaurant" data-cy="restaurant" name="restaurant" formControlName="restaurant">
            <option [ngValue]="null"></option>
            <option
              [ngValue]="
                restaurantOption.id === editForm.get('restaurant')!.value?.id ? editForm.get('restaurant')!.value : restaurantOption
              "
              *ngFor="let restaurantOption of restaurantsSharedCollection; trackBy: trackRestaurantById"
            >
              {{ restaurantOption.id }}
            </option>
          </select>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="jokegeneratorApp.setting.menu" for="field_menu">Menu</label>
          <select class="form-control" id="field_menu" data-cy="menu" name="menu" formControlName="menu">
            <option [ngValue]="null"></option>
            <option
              [ngValue]="menuOption.id === editForm.get('menu')!.value?.id ? editForm.get('menu')!.value : menuOption"
              *ngFor="let menuOption of menusSharedCollection; trackBy: trackMenuById"
            >
              {{ menuOption.id }}
            </option>
          </select>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="jokegeneratorApp.setting.article" for="field_article">Article</label>
          <select class="form-control" id="field_article" data-cy="article" name="article" formControlName="article">
            <option [ngValue]="null"></option>
            <option
              [ngValue]="articleOption.id === editForm.get('article')!.value?.id ? editForm.get('article')!.value : articleOption"
              *ngFor="let articleOption of articlesSharedCollection; trackBy: trackArticleById"
            >
              {{ articleOption.id }}
            </option>
          </select>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="jokegeneratorApp.setting.user" for="field_user">User</label>
          <select class="form-control" id="field_user" data-cy="user" name="user" formControlName="user">
            <option [ngValue]="null"></option>
            <option
              [ngValue]="posUserOption.id === editForm.get('user')!.value?.id ? editForm.get('user')!.value : posUserOption"
              *ngFor="let posUserOption of posUsersSharedCollection; trackBy: trackPosUserById"
            >
              {{ posUserOption.id }}
            </option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
